# Uses of Interface
org.opensaml.xmlsec.SignatureValidationParametersResolver

Packages that use SignatureValidationParametersResolver
Package
Description
org.opensaml.profile.action.impl
Implementations of general profile actions.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.
org.opensaml.xmlsec.messaging.impl
Message handlers for XML Security functionality.

## Uses of SignatureValidationParametersResolver in org.opensaml.profile.action.impl

Fields in org.opensaml.profile.action.impl declared as SignatureValidationParametersResolver
Modifier and Type
Field
Description
`private SignatureValidationParametersResolver`
PopulateSignatureValidationParameters.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.profile.action.impl with parameters of type SignatureValidationParametersResolver
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParameters.`setSignatureValidationParametersResolver(SignatureValidationParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.

## Uses of SignatureValidationParametersResolver in org.opensaml.xmlsec.impl

Classes in org.opensaml.xmlsec.impl that implement SignatureValidationParametersResolver
Modifier and Type
Class
Description
`class`
`BasicSignatureValidationParametersResolver`
Basic implementation of `SignatureValidationParametersResolver`.
`class`
`StaticSignatureValidationParametersResolver`
Resolve an instance of `SignatureValidationParameters` statically.

## Uses of SignatureValidationParametersResolver in org.opensaml.xmlsec.messaging.impl

Fields in org.opensaml.xmlsec.messaging.impl declared as SignatureValidationParametersResolver
Modifier and Type
Field
Description
`private SignatureValidationParametersResolver`
PopulateSignatureValidationParametersHandler.`resolver`
Resolver for parameters to store into context.
Methods in org.opensaml.xmlsec.messaging.impl with parameters of type SignatureValidationParametersResolver
Modifier and Type
Method
Description
`void`
PopulateSignatureValidationParametersHandler.`setSignatureValidationParametersResolver(SignatureValidationParametersResolver newResolver)`
Set the resolver to use for the parameters to store into the context.